<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

use Carbon_Fields\Field\Field;
use Gigneo\Post_Meta\Serialized;

if ( ! in_array( 'social_profiles', gigneo_active_modules(), true ) ) {
	return array();
}

$gigneo_social_fields[] = Field::make( 'complex', 'gigneo_pm_socials', esc_html__( 'Socials', 'gigneo' ) )
						->set_datastore( new Serialized() )
						->add_fields(
							array(
								Field::make( 'select', 'type', esc_html__( 'Type', 'gigneo' ) )
									->set_options( gigneo_social_profiles( 'active' ) )
									->set_classes( 'gn-select2' ),
								Field::make( 'text', 'url', esc_html__( 'URL', 'gigneo' ) ),
							)
						)
						->set_header_template( '<%- type %>' )
						->set_collapsed( true );
